Skip to content
DELETE /unified/e-signature/users/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for a user

avatarstring

The avatar of the user

created_atstring · date-time

The date and time the user was created

emailsobject[]

The emails of the user

emailstring

The email address

is_primaryboolean

Whether the email address is primary

typestring

The type of email address

first_namestring

The first name of the user

groupsobject[]

The groups of the user

idstring

The unique identifier for a group

namestring

The name of the group

organizationstring

The unique identifier of the organization to which the group belongs

languagesstring[]

The languages preferred by the user

last_namestring

The last name of the user

namestring

The name of the user

organizationsobject[]

The organizations of the user

idstring

The unique identifier for an organization

namestring

The name of the organization

phonesobject[]

The phones of the user

extensionstring

The extension of the phone number

numberstring

The phone number

typestring

The type of phone number

remote_dataRecord<string, any>

Raw data returned from the remote API call.

rolesobject[]

The roles of the user

groupstring

The role of the user in the group. This is available when the user can have different roles in different groups or teams in an application.

idstring

The unique identifier for a role

namestring

The name of the role

organizationstring

The role of the user in the organization. This is available when the user can have different roles in different organizations in an application.

workspacestring

The role of the user in the workspace. This is available when the user can have different roles in different workspaces in an application.

statusstring

The status of the user. If no clear mapping is available, then the raw value is returned.

Possible values:
activeinactivedeletedinvited
timezonestring

The timezone of the user

titlestring

The title of the user

updated_atstring · date-time

The date and time the user was last updated

urlsobject[]

The URLs of the user

typestring

The type of URL

urlstring

The URL

usernamestring

The username of the user

workspaceobject

The workspace of the user

idstring

The unique identifier for a workspace

namestring

The name of the workspace

organizationstring

The unique identifier of the organization to which the workspace belongs

curl -X DELETE 'https://api.truto.one/unified/e-signature/users/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/e-signature/users/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/e-signature/users/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'e-signature',
  'users',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "e-signature",
        "users",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())